Package org.flowable.engine.delegate.event.impl

# Class FlowableSequenceFlowTakenEventImpl

java.lang.Object
org.flowable.common.engine.impl.event.FlowableEventImpl
org.flowable.common.engine.impl.event.FlowableEngineEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl
org.flowable.engine.delegate.event.impl.FlowableSequenceFlowTakenEventImpl

All Implemented Interfaces:
  `FlowableEngineEvent`, `FlowableEvent`, `FlowableProcessEngineEvent`, `FlowableSequenceFlowTakenEvent`

public class FlowableSequenceFlowTakenEventImpl extends FlowableProcessEventImpl implements FlowableSequenceFlowTakenEvent

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `id`
  `protected String`
  `sourceActivityBehaviorClass`
  `protected String`
  `sourceActivityId`
  `protected String`
  `sourceActivityName`
  `protected String`
  `sourceActivityType`
  `protected String`
  `targetActivityBehaviorClass`
  `protected String`
  `targetActivityId`
  `protected String`
  `targetActivityName`
  `protected String`
  `targetActivityType`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `scopeDefinitionId, scopeId, scopeType, subScopeId`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableSequenceFlowTakenEventImpl(FlowableEngineEventType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  `String`
  `getSourceActivityBehaviorClass()`
  `String`
  `getSourceActivityId()`
  `String`
  `getSourceActivityName()`
  `String`
  `getSourceActivityType()`
  `String`
  `getTargetActivityBehaviorClass()`
  `String`
  `getTargetActivityId()`
  `String`
  `getTargetActivityName()`
  `String`
  `getTargetActivityType()`
  `void`
  `setId(String id)`
  `void`
  `setSourceActivityBehaviorClass(String sourceActivityBehaviorClass)`
  `void`
  `setSourceActivityId(String sourceActivityId)`
  `void`
  `setSourceActivityName(String sourceActivityName)`
  `void`
  `setSourceActivityType(String sourceActivityType)`
  `void`
  `setTargetActivityBehaviorClass(String targetActivityBehaviorClass)`
  `void`
  `setTargetActivityId(String targetActivityId)`
  `void`
  `setTargetActivityName(String targetActivityName)`
  `void`
  `setTargetActivityType(String targetActivityType)`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl

  `getExecution`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setScopeDefinitionId, setScopeId, setScopeType, setSubScopeId, setType`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Field Details

  - ### id

    protected String id

  - ### sourceActivityId

    protected String sourceActivityId

  - ### sourceActivityName

    protected String sourceActivityName

  - ### sourceActivityType

    protected String sourceActivityType

  - ### targetActivityId

    protected String targetActivityId

  - ### targetActivityName

    protected String targetActivityName

  - ### targetActivityType

    protected String targetActivityType

  - ### sourceActivityBehaviorClass

    protected String sourceActivityBehaviorClass

  - ### targetActivityBehaviorClass

    protected String targetActivityBehaviorClass

- ## Constructor Details

  - ### FlowableSequenceFlowTakenEventImpl

    public FlowableSequenceFlowTakenEventImpl(FlowableEngineEventType type)

- ## Method Details

  - ### getId

    public String getId()
    Specified by:
      `getId` in interface `FlowableSequenceFlowTakenEvent`

  - ### setId

    public void setId(String id)

  - ### getSourceActivityId

    public String getSourceActivityId()
    Specified by:
      `getSourceActivityId` in interface `FlowableSequenceFlowTakenEvent`

  - ### setSourceActivityId

    public void setSourceActivityId(String sourceActivityId)

  - ### getSourceActivityName

    public String getSourceActivityName()
    Specified by:
      `getSourceActivityName` in interface `FlowableSequenceFlowTakenEvent`

  - ### setSourceActivityName

    public void setSourceActivityName(String sourceActivityName)

  - ### getSourceActivityType

    public String getSourceActivityType()
    Specified by:
      `getSourceActivityType` in interface `FlowableSequenceFlowTakenEvent`

  - ### setSourceActivityType

    public void setSourceActivityType(String sourceActivityType)

  - ### getTargetActivityId

    public String getTargetActivityId()
    Specified by:
      `getTargetActivityId` in interface `FlowableSequenceFlowTakenEvent`

  - ### setTargetActivityId

    public void setTargetActivityId(String targetActivityId)

  - ### getTargetActivityName

    public String getTargetActivityName()
    Specified by:
      `getTargetActivityName` in interface `FlowableSequenceFlowTakenEvent`

  - ### setTargetActivityName

    public void setTargetActivityName(String targetActivityName)

  - ### getTargetActivityType

    public String getTargetActivityType()
    Specified by:
      `getTargetActivityType` in interface `FlowableSequenceFlowTakenEvent`

  - ### setTargetActivityType

    public void setTargetActivityType(String targetActivityType)

  - ### getSourceActivityBehaviorClass

    public String getSourceActivityBehaviorClass()
    Specified by:
      `getSourceActivityBehaviorClass` in interface `FlowableSequenceFlowTakenEvent`

  - ### setSourceActivityBehaviorClass

    public void setSourceActivityBehaviorClass(String sourceActivityBehaviorClass)

  - ### getTargetActivityBehaviorClass

    public String getTargetActivityBehaviorClass()
    Specified by:
      `getTargetActivityBehaviorClass` in interface `FlowableSequenceFlowTakenEvent`

  - ### setTargetActivityBehaviorClass

    public void setTargetActivityBehaviorClass(String targetActivityBehaviorClass)